Skip to content

Schedule ​

18 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getPoePortsListGETGet PoE ports list
getPoeScheduleListGETGet PoE schedule list
createPoeSchedulePOSTCreate new PoE Schedule
deletePoeScheduleDELETEDelete PoE Schedule
modifyPoeSchedulePUTModify PoE Schedule
getPortScheduleListGETGet port schedule list
createPortSchedulePOSTCreate new Port Schedule
deletePortScheduleDELETEDelete Port Schedule
modifyPortSchedulePUTModify Port Schedule
getPortSchedulePortsGETGet device ports list supporting port schedule
getRebootScheduleList_1GETGet reboot schedule list
createRebootSchedule_1POSTCreate new reboot schedule
deleteRebootSchedule_1DELETEDelete reboot schedule
modifyRebootSchedule_1PUTModify reboot schedule
getUpgradeScheduleListGETGet upgrade schedule list
createUpgradeSchedulePOSTCreate new upgrade schedule
deleteUpgradeScheduleDELETEDelete upgrade schedule
modifyUpgradeSchedulePUTModify upgrade schedule

getPoePortsList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/poe-ports

Get PoE ports list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getPoePortsList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get PoE ports list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getPoeScheduleList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/poe-schedules

Get PoE schedule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getPoeScheduleList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get poe schedule list.(Pagination)
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createPoeSchedule ​

POST /openapi/v1/{omadacId}/sites/{siteId}/poe-schedules

Create new PoE Schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema PoeScheduleOpenApiVO

FieldTypeRequiredDescription
siteIdstringnoSite ID
namestringyesPoE Schedule Name should contain 1 to 128 characters.
statusbooleanyesPoE Schedule Status.
turnOnTimestringyesTime Range ID, cannot be empty.
poePortsMapobjectyesKey:Mac("String"), Value:Set of Ports("Integer")
json
// omada_call_operation
{
  "operationId": "createPoeSchedule",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new Poe Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.
-33006 - This name already exists in this site.
-33603 - Source or Destination entry does not exist.

deletePoeSchedule ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/poe-schedules/{poeScheduleId}

Delete PoE Schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
poeScheduleIdpathstringyesPoE Schedule ID
json
// omada_call_operation
{
  "operationId": "deletePoeSchedule",
  "params": {
    "siteId": "<siteId>",
    "poeScheduleId": "<poeScheduleId>"
  }
}
Details, permissions and error codes

Delete Poe Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.

modifyPoeSchedule ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/poe-schedules/{poeScheduleId}

Modify PoE Schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
poeScheduleIdpathstringyesPoE Schedule ID

Request body — application/json (required) — schema PoeScheduleOpenApiVO

FieldTypeRequiredDescription
siteIdstringnoSite ID
namestringyesPoE Schedule Name should contain 1 to 128 characters.
statusbooleanyesPoE Schedule Status.
turnOnTimestringyesTime Range ID, cannot be empty.
poePortsMapobjectyesKey:Mac("String"), Value:Set of Ports("Integer")
json
// omada_call_operation
{
  "operationId": "modifyPoeSchedule",
  "params": {
    "siteId": "<siteId>",
    "poeScheduleId": "<poeScheduleId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Poe Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-33603 - Source or Destination entry does not exist.

getPortScheduleList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/port-schedules

Get port schedule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getPortScheduleList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get port schedule list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createPortSchedule ​

POST /openapi/v1/{omadacId}/sites/{siteId}/port-schedules

Create new Port Schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema PortScheduleOpenApiVO

FieldTypeRequiredDescription
namestringyesPort Schedule Name should contain 1 to 128 characters.
statusbooleanyesPort Schedule Status.
turnOnTimestringyesTime Range ID, cannot be empty.
portsMapobjectyesKey:MAC("String"), Value:Set of Ports("Integer")
json
// omada_call_operation
{
  "operationId": "createPortSchedule",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new Port Schedule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33006 - This name already exists in this site.
-33603 - Source or Destination entry does not exist.
-34554 - The number of Port schedules has reached the limit.

deletePortSchedule ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/port-schedules/{portScheduleId}

Delete Port Schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
portScheduleIdpathstringyesPort Schedule ID
json
// omada_call_operation
{
  "operationId": "deletePortSchedule",
  "params": {
    "siteId": "<siteId>",
    "portScheduleId": "<portScheduleId>"
  }
}
Details, permissions and error codes

Delete Port Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifyPortSchedule ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/port-schedules/{portScheduleId}

Modify Port Schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
portScheduleIdpathstringyesPort Schedule ID

Request body — application/json (required) — schema PortScheduleOpenApiVO

FieldTypeRequiredDescription
namestringyesPort Schedule Name should contain 1 to 128 characters.
statusbooleanyesPort Schedule Status.
turnOnTimestringyesTime Range ID, cannot be empty.
portsMapobjectyesKey:MAC("String"), Value:Set of Ports("Integer")
json
// omada_call_operation
{
  "operationId": "modifyPortSchedule",
  "params": {
    "siteId": "<siteId>",
    "portScheduleId": "<portScheduleId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Port Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-33603 - Source or Destination entry does not exist.

getPortSchedulePorts ​

GET /openapi/v1/{omadacId}/sites/{siteId}/port-status-ports

Get device ports list supporting port schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getPortSchedulePorts",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get device ports list supporting port schedule
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getRebootScheduleList_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/reboot-schedules

Get reboot schedule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRebootScheduleList_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get reboot schedule list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createRebootSchedule_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/reboot-schedules

Create new reboot schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema RebootScheduleOpenApiVO

FieldTypeRequiredDescription
idstringnoReboot Schedule Id.
namestringyesReboot Schedule name should contain 1 to 128 characters.
statusbooleanyesReboot Schedule status.
deviceMacsarray<string>yesMAC address of the selected devices. E.g. AA-BB-CC-DD-11-22
timeRebootScheduleTimeOpenApiVOyes(RebootScheduleTimeOpenApiVO not expanded; call omada_get_schema "RebootScheduleTimeOpenApiVO")
json
// omada_call_operation
{
  "operationId": "createRebootSchedule_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new reboot schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-34501 - The number of RebootSchedules has reached the limit.

deleteRebootSchedule_1 ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/reboot-schedules/{id}

Delete reboot schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesReboot Schedule ID
json
// omada_call_operation
{
  "operationId": "deleteRebootSchedule_1",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete reboot schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.

modifyRebootSchedule_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/reboot-schedules/{id}

Modify reboot schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesReboot Schedule ID

Request body — application/json (required) — schema RebootScheduleOpenApiVO

FieldTypeRequiredDescription
idstringnoReboot Schedule Id.
namestringyesReboot Schedule name should contain 1 to 128 characters.
statusbooleanyesReboot Schedule status.
deviceMacsarray<string>yesMAC address of the selected devices. E.g. AA-BB-CC-DD-11-22
timeRebootScheduleTimeOpenApiVOyes(RebootScheduleTimeOpenApiVO not expanded; call omada_get_schema "RebootScheduleTimeOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyRebootSchedule_1",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify reboot schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.

getUpgradeScheduleList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/upgrade-schedules

Get upgrade schedule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getUpgradeScheduleList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get upgrade schedule list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createUpgradeSchedule ​

POST /openapi/v1/{omadacId}/sites/{siteId}/upgrade-schedules

Create new upgrade schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema UpgradeScheduleOpenApiVO

FieldTypeRequiredDescription
namestringyesUpgrade schedule name should contain 1 to 128 characters.
statusbooleanyesUpgrade schedule status.
typeintegeryesType should be a value as follows: 0: execute only once; 1: repeat
nextExecuteTimeintegernoExecution timeStamp(ms). Required when type is 0.
occurrenceTimeBaseScheduleTimeOpenApiVOno(BaseScheduleTimeOpenApiVO not expanded; call omada_get_schema "BaseScheduleTimeOpenApiVO")
deviceMacsarray<string>yesMAC address of the selected devices. E.g. AA-BB-CC-DD-11-22
json
// omada_call_operation
{
  "operationId": "createUpgradeSchedule",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new upgrade schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-34547 - Please select at least one device.
-34550 - The number of upgrade schedules has reached the limit.
-34551 - The execution time cannot be earlier than the current system time.

deleteUpgradeSchedule ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/upgrade-schedules/{id}

Delete upgrade schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesUpgrade Schedule ID
json
// omada_call_operation
{
  "operationId": "deleteUpgradeSchedule",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete upgrade schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.

modifyUpgradeSchedule ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/upgrade-schedules/{id}

Modify upgrade schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesUpgrade Schedule ID

Request body — application/json (required) — schema UpgradeScheduleOpenApiVO

FieldTypeRequiredDescription
namestringyesUpgrade schedule name should contain 1 to 128 characters.
statusbooleanyesUpgrade schedule status.
typeintegeryesType should be a value as follows: 0: execute only once; 1: repeat
nextExecuteTimeintegernoExecution timeStamp(ms). Required when type is 0.
occurrenceTimeBaseScheduleTimeOpenApiVOno(BaseScheduleTimeOpenApiVO not expanded; call omada_get_schema "BaseScheduleTimeOpenApiVO")
deviceMacsarray<string>yesMAC address of the selected devices. E.g. AA-BB-CC-DD-11-22
json
// omada_call_operation
{
  "operationId": "modifyUpgradeSchedule",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify upgrade schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-34547 - Please select at least one device.
-34551 - The execution time cannot be earlier than the current system time.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.